## kaddressbook 24.12.0

=== debian/changelog ===
kaddressbook (4:24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit the dependency of kaddressbook to kdepim-runtime to rachs
    where kdepim-runtime is available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 21 Dec 2024 10:11:27 +0100

kaddressbook (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:09 +0100

kaddressbook (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:57 +0100
