=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kaddressbook
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
@@ -11,29 +10,30 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadicontact-dev (>= 4:24.08.2~),
-               libakonadisearch-dev (>= 4:24.08.2~),
-               libgrantleetheme-dev (>= 24.08.2~),
-               libkdepim-dev (>= 4:24.08.2~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6doctools-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6kcmutils-dev (>= 6.3.0~),
-               libkf6userfeedback-dev (>= 6.3.0~),
-               libkldap-dev (>= 24.08.2~),
-               libkontactinterface-dev (>= 24.08.2~),
-               libpimcommon-dev (>= 4:24.08.2~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadicontact-dev (>= 4:24.12.0~),
+               libakonadisearch-dev (>= 4:24.12.0~),
+               libgrantleetheme-dev (>= 24.12.0~),
+               libkdepim-dev (>= 4:24.12.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6doctools-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6kcmutils-dev (>= 6.6.0~),
+               libkf6userfeedback-dev (>= 6.6.0~),
+               libkldap-dev (>= 24.12.0~),
+               libkontactinterface-dev (>= 24.12.0~),
+               libpimcommon-dev (>= 4:24.12.0~),
+               libplasmaactivities-dev (>= 6.1.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/kaddressbook
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaddressbook
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaddressbook.git
 Rules-Requires-Root: no
 
 Package: kaddressbook
@@ -41,7 +41,7 @@
 Architecture: any
 Depends: akonadi-server,
          kaddressbook-data (= ${source:Version}),
-         kdepim-runtime,
+         kdepim-runtime [amd64 arm64 armhf i386],
          libakonadisearch-bin,
          libakonadisearch-plugins,
          libkpim6addressbookimportexport6 (= ${binary:Version}),
