=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadisearch-dev (>= 4:24.12.0~),
-               libgrantleetheme-dev (>= 24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadisearch-dev (>= 4:24.12.2~),
+               libgrantleetheme-dev (>= 24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
@@ -24,9 +24,9 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
-               libkldap-dev (>= 24.12.0~),
-               libkontactinterface-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkldap-dev (>= 24.12.2~),
+               libkontactinterface-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
