=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kaddressbook
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
@@ -12,11 +13,11 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadisearch-dev (>= 4:24.12.2~),
-               libgrantleetheme-dev (>= 24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadisearch-dev (>= 4:24.12.3~),
+               libgrantleetheme-dev (>= 24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6coreaddons-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6dbusaddons-dev (>= 6.6.0~),
@@ -24,9 +25,9 @@
                libkf6iconthemes-dev (>= 6.6.0~),
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
-               libkldap-dev (>= 24.12.2~),
-               libkontactinterface-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkldap-dev (>= 24.12.3~),
+               libkontactinterface-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                libplasmaactivities-dev (>= 6.1.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0+dfsg~),
